Api referenceArchitecture

Create Intent Draft

Reference for Create Intent Draft in the Veriom v1 API, including request, response, and authentication details.

POST/v1/workspaces/{workspace_id}/architecture-intent/versions

Create Intent Draft. Returns a typed response and a request ID for operational support.

Authorization

veriom_session<token>

Opaque HttpOnly customer session. Mutations also require X-CSRF-Token.

In: cookie

Path Parameters

workspace_id*Workspace Id
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/versions" \  -H "Content-Type: application/json" \  -d '{    "document": {      "required_sources": [        "code"      ],      "scope": {        "branch_ref": "string",        "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",        "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"      },      "title": "string"    },    "provenance": {      "kind": "editor",      "observed_at": "2019-08-24T14:15:22Z",      "source_ref": "string"    },    "request_key": "57cadb9d-efba-4c3f-8576-3d122dfdc17a"  }'
{
  "base_snapshot_id": "d92de3d8-b118-4dde-98df-eefefc575163",
  "base_version_id": "330601a7-a4c3-4e92-beac-4d56d32a4b5d",
  "content_sha256": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
  "created_by_name": "string",
  "document": {
    "closed_scope": false,
    "decisions": [
      {
        "accepted_tradeoff": "",
        "conditions": [
          {
            "id": "string",
            "predicates": [
              {
                "allowed_source_keys": [
                  "string"
                ],
                "attribute": "string",
                "expected": "string",
                "key": "string",
                "kind": "entity_present",
                "relationship_kinds": [
                  "string"
                ],
                "required_sources": [
                  "code"
                ]
              }
            ],
            "title": "string"
          }
        ],
        "decision": "string",
        "expires_at": "2019-08-24T14:15:22Z",
        "guardrails": [
          {
            "id": "string",
            "predicates": [
              {
                "allowed_source_keys": [
                  "string"
                ],
                "attribute": "string",
                "expected": "string",
                "key": "string",
                "kind": "entity_present",
                "relationship_kinds": [
                  "string"
                ],
                "required_sources": [
                  "code"
                ]
              }
            ],
            "title": "string"
          }
        ],
        "id": "string",
        "owner_id": "8826ee2e-7933-4665-aef2-2393f84a0d05",
        "provenance": [
          {
            "actor_id": "04f37679-bfbf-4906-b749-01756515cecf",
            "content_sha256": "string",
            "evidence_ids": [
              "973ab5a6-b373-447d-ab9d-bdb660b35afc"
            ],
            "kind": "editor",
            "observed_at": "2019-08-24T14:15:22Z",
            "source_ref": "string",
            "source_revision": "string"
          }
        ],
        "rationale": "string",
        "review_at": "2019-08-24T14:15:22Z",
        "subject_keys": [
          "string"
        ],
        "supporting_keys": [
          "string"
        ]
      }
    ],
    "elements": [
      {
        "description": "",
        "disposition": "intended",
        "entity_kind": "string",
        "key": "string",
        "kind": "entity",
        "name": "string",
        "origin": "observed",
        "relationship_kind": "string",
        "required_sources": [
          "code"
        ],
        "source_key": "string",
        "target_key": "string"
      }
    ],
    "flows": [
      {
        "description": "string",
        "id": "string",
        "name": "string",
        "requirement_ref": "string",
        "transitions": [
          {
            "description": "string",
            "direction": "source-to-destination",
            "relationship_key": "string",
            "sequence": 0
          }
        ]
      }
    ],
    "invariants": [
      {
        "id": "string",
        "predicates": [
          {
            "allowed_source_keys": [
              "string"
            ],
            "attribute": "string",
            "expected": "string",
            "key": "string",
            "kind": "entity_present",
            "relationship_kinds": [
              "string"
            ],
            "required_sources": [
              "code"
            ]
          }
        ],
        "title": "string"
      }
    ],
    "maximum_age_seconds": 86400,
    "minimum_confidence": 0.7,
    "required_sources": [
      "code"
    ],
    "schema_version": "architecture-intent-v1",
    "scope": {
      "branch_ref": "string",
      "environment": "string",
      "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",
      "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"
    },
    "title": "string"
  },
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "is_current": false,
  "published_number": 0,
  "ratification_reason": "string",
  "ratified_at": "2019-08-24T14:15:22Z",
  "ratified_by": "dbc16b3d-21f4-46d0-8de3-394caf267d8f",
  "ratified_by_name": "string",
  "revision": 0,
  "scope_key": "string",
  "state": "draft",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}

Was this guide useful?

Your response stays in this browser unless you open a GitHub issue.
View source